# Generated from browserstack-webdriver-2.40.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name browserstack-webdriver

Name: rubygem-%{gem_name}
Version: 2.40.1
Release: 1%{?dist}
Summary: Ruby bindings for selenium webdriver with support for keep-alive
License: Apache 2.0
URL: https://github.com/browserstack/selenium-webdriver-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.0
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(rack) >= 1.0
# BuildRequires: rubygem(rack) < 2
# BuildRequires: rubygem(ci_reporter) >= 1.6
# BuildRequires: rubygem(ci_reporter) < 2
# BuildRequires: rubygem(ci_reporter) >= 1.6.2
# BuildRequires: rubygem(webmock) >= 1.7
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(webmock) >= 1.7.5
BuildArch: noarch

%description
Ruby bindings for selenium webdriver which supports keep-alive protocl by
default thus improving performance of remote tests.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CHANGES
%license %{gem_instdir}/COPYING
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/build.desc
%{gem_libdir}
%{gem_instdir}/ruby.iml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/browserstack-webdriver.gemspec
%{gem_instdir}/spec

%changelog
* Sun Sep 12 2021 mockbuilder - 2.40.1-1
- Initial package
